@font-face {
    font-family: 'Apple SD Gothic Neo';
    font-style: normal;
    font-weight: 500;
    src: local('Apple SD Gothic Neo Regular'),
        url('https://cdn.jsdelivr.net/npm/font-applesdgothicneo@1.0/fonts/500_AppleSDGothicNeo-Regular.woff2') format('woff2'),
        url('https://cdn.jsdelivr.net/npm/font-applesdgothicneo@1.0/fonts/500_AppleSDGothicNeo-Regular.otf') format('opentype');
}
@font-face {
    font-family: 'Donoun-Medium';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_2205@1.0/Donoun-Medium.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Butler Stencil Black';
    font-style: normal;
    font-weight: normal;
    src: local('Butler Stencil Black'), url('fonts/Butler_Black_Stencil.woff') format('woff');
}
.apple-gothic {
    font-family: 'Apple SD Gothic Neo'
}
.donoun {
    font-family: 'Donoun-Medium';
}
.butler {
    font-family: 'Butler Stencil Black';
}
img {
    max-width: 100%;
    height: auto;
}
div {
    max-width: 100%;
    height: auto;
}
body { 
    background-position: center;
    display: block;
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    margin: 0;
    overflow: hidden;
}
input {
    outline: none;
    border: 0;
    background: transparent;
}
button {
    border: none;
    height: 48px;
    border-radius: 50px;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.35);
    font-family: 'Apple SD Gothic Neo';
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    letter-spacing: 0.01em;
    cursor: pointer;
    /* transform: scale(1); */
}
/* button:active {
    transform: scale(0.98);
    transition: transform .1s;
} */
.popup-btn {
    width: 200px;
    margin: 8px auto;
}
.common-btn {
    width: 265px;
}
.wrap {
    background-image: url('imgs/1.0.start/title_bg.png');
    background-size: cover;
    position: relative;
    box-sizing: border-box;
    max-width: 360px;
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    margin: auto;
    text-align: center;
}
.title {
    padding-top: 80px;
}
/* .start {
    position: absolute;
    bottom: 44px;
    left: 50%;
    transform: translateX(-50%);
} */
.popup {
    width: 300px;
    height: 180px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* padding: 50px 34px; */
    background-image: url('imgs/1.0.start/popup_bg.svg');
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.tutorial-bird {
    padding-top: 140px;
}
.ment-wrap {
    position: absolute;
    width: 360px;
    height: 140px;
    bottom: 0;
    background: #FFFFFF;
    border-radius: 15px 15px 0px 0px;
    display: flex;
    /* display: flex;
    justify-content: center;
    align-items: center; */
}
.text-wrap {
    width: 280px;
    height: 72px;
    font-family: 'Apple SD Gothic Neo';
    font-size: 16px;
    line-height: 24px;
    margin-top: 40px;
    margin-left: 32px;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    text-align: left;
}
.tutorial-next-btn {
    margin-top: 65px;
    margin-left: 4px;
    cursor: pointer;
    animation: float 1s infinite alternate;  
}
@keyframes float {
    0% { transform: translate(0, -1px); }
    100% { transform: translate(0, 1px); }
}  
.tutorial-flower {
    position: absolute;
    top: -20px;
    left: 50%;
    transform: translateX(-50%);
}
.nickname-wrap {
    background-image: url('imgs/1.0.start/nickname_bg.svg');
    top: 156px;
    transform: translateX(-50%);
}
.nickname-title {
    font-family: 'Apple SD Gothic Neo';
    font-size: 16px;
    line-height: 24px;
}
.nickname-input-wrap {
    height: 32px;
    line-height: 32px;
    border-radius: 15px;
    margin-top: 24px;
}
.nickname-input-wrap input {
    width: 200px;
    font-family: 'Donoun-Medium';
    font-size: 20px;
    /* line-height: 32px; */
    text-align: center;
}
/* .game-start {
    position: absolute;
    bottom: 44px;
    left: 50%;
    transform: translateX(-50%);
} */
.coachmark {
    width: 100%; 
    height: 100%; 
    background: rgba(0, 0, 0, 0.6);
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1000;
}
.coach-ok-btn {
    position: absolute;
    width: 100px;
    height: 48px;
    left: 130px;
    top: 549px;

    border: 2px solid #FFFFFF;
    border-radius: 50px;
    box-sizing: border-box;
    padding: 12px 0;
    font-family: 'Apple SD Gothic Neo';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    letter-spacing: 0.01em;
    color: #FFFFFF;
    cursor: pointer;
}
.pause-btn {
    position: absolute;
    top: 140px;
    right: 20px;
    cursor: pointer;
}
.top-wrap {
    box-sizing: border-box;
    width: 360px;
    height: 84px;
    /* background-color: #000; */
    /* opacity: 0.5; */
    font-family: 'Butler Stencil Black';
    display: flex;
    justify-content: space-between;
    padding: 25px 20px;
    z-index: 999;
}
.result-wrap {
    width: 168px;
    height: 35px;
    display: flex;
    justify-content: space-between;
}
.result-wrap div {
    width: 74px;
    height: 32px;
    font-size: 20px;
    line-height: 36px;
    text-align: center;
    margin: 3px 0;
    box-sizing: border-box;
    padding: 1px 10px 1px 28px;
}
.right {
    background-image: url('imgs/2.0.game/count_right.svg');
}
.wrong {
    background-image: url('imgs/2.0.game/count_wrong.svg');
}
.time-wrap {
    width: 87px;
    height: 35px;
    background-image: url('imgs/2.0.game/count_time.svg');
    font-size: 24px;
    line-height: 35px;
    text-align: center;
    box-sizing: border-box;
    padding : 4px 9px 3px 32px;
}
.lottie {
    width: 100%; 
    height: 640px;
    z-index: -999; 
    position: absolute;
    bottom: 106px;
}
.author-wrap {
    width: 360px;
    height: 32px;
    background: rgba(255, 255, 255, 0.7);
    text-align: center;
    font-family: 'Apple SD Gothic Neo';
    font-size: 14px;
    line-height: 32px;
}
.sentence-wrap {
    width: 320px;
    /* height: 72px; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0 auto;
    z-index: 999;
    margin-top: 240px;
}
.sentence-wrap div {
    width: 320px;
    /* height: 32px; */
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.35);
    font-family: 'Apple SD Gothic Neo';
    font-size: 16px;
    text-align: center;
}
.se-ex {
    box-sizing: border-box;
    padding: 4px 20px;
    border-radius: 20px;
    line-height: 24px;
}
.se-input {
    height: 32px;
    line-height: 32px;
    border-radius: 15px;
    margin-top: 8px;
}
.se-input input {
    width: 280px;
    /* outline: none;
    border: 0; */
    font-family: 'Apple SD Gothic Neo';
    font-size: 16px;
    /* line-height: 32px; */
    text-align: center;
}
.error {
    width: 360px;
    height: 640px;
    background: radial-gradient(50% 50% at 50% 50%, rgba(255, 0, 0, 0) 35.42%, rgba(255, 0, 0, 0.21) 100%);
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: -999;
    display: none;
}
.blink {
    animation: blink-effect 0.5s step-end infinite;
}
@keyframes blink-effect {
    50% { opacity: 0; }
}
.red-btn {
    position: absolute;
    bottom: 44px;
    left: 50%;
    transform: translateX(-50%);
    background: #DF3539;
    color: #fff
}
.common-btns-wrap {
    position: absolute;
    left: 50%;
    bottom: 44px;
    transform: translateX(-50%);
    width: 265px;
    height: 112px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.clear-time {
    font-family: 'Butler Stencil Black';
    font-size: 24px;
    line-height: 26px;
    text-align: center;
    width: 80px;
    position: absolute;
    left: 152px;
    bottom: 108px;
}
.right-result {
    font-family: 'Butler Stencil Black';
    font-size: 20px;
    line-height: 26px;
    text-align: center;
    width: 60px;
    position: absolute;
    left: 158px;
    bottom: 173px;
}
.save-wrap{
    width: 100%;
    height: 100%;
}
.save-content {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-family: 'Donoun-Medium';
}
.save-sentence {
    font-size: 20px;
    margin-bottom: 36px;
    line-height: 28px;
}
.save-author {
    font-size: 16px;
}
.skip-btn {
    width: 56px;
    height: 20px;
    font-family: 'Apple SD Gothic Neo';
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    letter-spacing: 0.01em;
    position: absolute;
    top: 44px;
    right: 40px;
    cursor: pointer;
}
.pause-wrap {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0px;
    top: 0px;
    background: rgba(0, 0, 0, 0.6);
    display: none;
}
.ranking-wrap {
    padding-top: 52px;
}
.ranking-text-wrap {
    width: 302px;
    height: 396px;
    margin: 0 auto;
    background-image: url('imgs//3.0.result/ranking_paper.svg');
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    padding: 86px 28px 0 28px;

    font-family: 'Donoun-Medium';
    font-size: 20px;
    line-height: 26px;
}
.ranking-text {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 12px 0;
}
.ranking-text div {
    margin: 0 6px;
}
.grade {
    /* width: 20px; */
    box-sizing: border-box;
    padding: 0 10px;
    height: 20px;
    border-radius: 20px;
    background: #517BBC;

    font-family: 'Butler Stencil Black';
    font-size: 16px;
    line-height: 23px;
    text-align: center;
    color: #ffffff;
}
.mine {
    background: #DF3539;
}
.line {
    height: 2px;
    flex: 1;
    background-image: url('imgs/3.0.result/ranking_dash.svg');
    /* border: 0.5px dashed #B6B6B6; */
}
.hide {
    display: none;
}
.wave-line {
    margin: 16px 0 20px 0;
}
.ranking-etc {
    width: 3px; 
    height: 25px;
    margin: 2px auto 0 auto;
}